Subject: Re: bug#42538: 28.0.50; tramp-test35-remote-path test timing out on macOS

From: Michael Albinus <[email-masked]>
Date: Sun, 26 Jul 2020 17:52:57 +0200

Philipp Stephani <[email-masked]> writes:

Hi Philipp,

>> Could you please apply the appended patch to tramp-tests.el? Then run
>>
>> $ rm test/lisp/net/tramp-tests.log
>> $ timeout -v 30s make -C test lisp/net/tramp-tests.log
>> SELECTOR=tramp-test35-remote-path
>>
>> This generates the file tramp-tests.log, which I would like to
>> see. Likely, it is huge, so pls send it directly to me.
>
> In fact, it doesn't exist because the test is killed before it can
> write the file :-)

Indeed. So I've modified the patch; the test case commits suicide after
30 seconds. You can call it simply by

$ rm test/lisp/net/tramp-tests.log
$ make -C test lisp/net/tramp-tests.log SELECTOR=tramp-test35-remote-path

> Here's a slightly modified invocation plus output:
>
> That is, the test starts to make some progress and then hangs.

Thanks, but this misses the log I need for analysis ...

Best regards, Michael.

diff --git a/test/lisp/net/tramp-tests.el b/test/lisp/net/tramp-tests.el
index 34782e7f15..00723686ee 100644
--- a/test/lisp/net/tramp-tests.el
+++ b/test/lisp/net/tramp-tests.el
@@ -5213,6 +5213,8 @@ tramp-test35-remote-path
   ;; Since Emacs 27.1.
   (skip-unless (fboundp 'exec-path))

+  (tramp--test-instrument-test-case 6
+  (with-timeout (30 (tramp--test-timeout-handler))
   (let* ((tmp-name (tramp--test-make-temp-name))
 	 (default-directory tramp-test-temporary-file-directory)
          (orig-exec-path (with-no-warnings (exec-path)))
@@ -5267,7 +5269,7 @@ tramp-test35-remote-path
       ;; Cleanup.
       (tramp-cleanup-connection tramp-test-vec 'keep-debug 'keep-password)
       (setq tramp-remote-path orig-tramp-remote-path)
-      (ignore-errors (delete-directory tmp-name 'recursive)))))
+      (ignore-errors (delete-directory tmp-name 'recursive)))))))

 (ert-deftest tramp-test36-vc-registered ()
   "Check `vc-registered'."